#
# Conditional build:
%bcond_without	graphics	# build without graphics support
%bcond_without	fb		# build without Linux Framebuffer graphics driver
%bcond_without	sdl		# build without SDL graphics driver
%bcond_with	svga		# build without svgalib graphics driver
%bcond_without	x		# build without X Window System graphics driver
#
Summary:	Lynx-like WWW browser
Summary(es.UTF-8):	El links es un browser para modo texto, similar a lynx
Summary(pl.UTF-8):	Podobna do Lynksa przeglądarka WWW
Summary(pt_BR.UTF-8):	O links é um browser para modo texto, similar ao lynx
Summary(ru.UTF-8):	Текстовый WWW броузер типа Lynx
Summary(uk.UTF-8):	Текстовий WWW броузер типу Lynx
Name:		links2
Version:	2.8
Release:	4
Epoch:		1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
# Source0-md5:	d5fb7c45ca41dad2b20f5c056498ea07
Source1:	%{name}.desktop
Source2:	%{name}.1.pl
Source3:	%{name}.png
Source4:	glinks.desktop
Patch0:		%{name}-links-g_if_glinks.patch
Patch2:		%{name}-img.patch
Patch3:		%{name}-convert-old-bookmarks.patch
Patch4:		%{name}-cookies-save.patch
Patch5:		%{name}-config-dirs.patch
Patch6:		%{name}-gzip_fallback.patch
Patch9:		%{name}-segv.patch
Patch10:	%{name}-pl-update.patch
Patch17:	ac_config_headers.patch
Patch18:	ac_prog_cxx.patch
URL:		http://links.twibright.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
%if %{with graphics}
%{?with_fb:BuildRequires:	DirectFB-devel >= 0.9.17}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
%{?with_svga:BuildRequires:	svgalib-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
%endif
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Links is a WWW browser, at first look similiar to Lynx, but somehow
different:

- renders tables and frames,
- displays colors as specified in current HTML page,
- uses drop-down menu (like in Midnight Commander),
- can download files in background.

%{?with_graphics:This version can work in graphical mode.}

%description -l es.UTF-8
Links es un browser WWW modo texto, similar al Lynx. El links muestra
tablas, hace baja archivos en segundo plano, y usa conexiones HTTP/1.1
keepalive.

%description -l pl.UTF-8
Links jest przeglądarką WWW, na pierwszy rzut oka podobną do Lynksa,
ale mimo wszystko inną:

- renderuje tabelki i ramki,
- wyświetla kolory zgodnie z definicjami w oglądanej stronie HTML,
- używa opuszczanego menu (jak w Midnight Commanderze),
- może ściągać pliki w tle.

%{?with_graphics:Ta wersja może pracować w trybie graficznym.}

%description -l pt_BR.UTF-8
Links é um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, faz baixa arquivos em segundo plano, e usa as conexões
HTTP/1.1 keepalive.

%description -l ru.UTF-8
Links - это текстовый WWW броузер, на первый взгляд похожий на Lynx,
но несколько отличающийся:

- отображает таблицы и (скоро) фреймы,
- показывает цвета как указано в HTML странице,
- использует выпадающие меню (как в Midnight Commander),
- может загружать файлы в фоне.

%description -l uk.UTF-8
Links - це текстовий WWW броузер, на перший погляд схожий на Lynx, але
трохи відмінний від нього:

- відображає таблиці та (незабаром) фрейми,
- показує кольори як вказано в HTML сторінці,
- використовує випадаючі меню (як в Midnight Commander),
- може завантажувати файли в фоні.

%prep
%setup -q -n links-%{version}
%{?with_graphics:%patch0 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p1
%patch10 -p1
%patch17 -p1
%patch18 -p1

cd intl
./gen-intl

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%{__autoheader}
%configure \
	--program-suffix=2 \
	%{?with_graphics:--enable-graphics} \
	%{!?with_fb:--without-fb} \
	%{!?with_sdl:--without-sdl} \
	%{!?with_svga:--without-svgalib} \
	%{!?with_x:--without-x} \
	--with-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with graphics}
ln -sf links2 $RPM_BUILD_ROOT%{_bindir}/glinks
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/man1/glinks.1
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/glinks.1
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/links2.1
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SITES
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%changelog
* Wed Oct 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/links2.git;a=log;h=master

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 28fe4cb
- release 4 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> e24e92f
- rebuild with DirectFB 1.7.2
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6bcd759
- release 2 (by relup.sh)

* Sat Oct 12 2013 Jakub Bogusz <qboosh@pld-linux.org> dc494cd
- updated pl-update patch is back

* Mon Oct 07 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 9e20794
- up to 2.8

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 43ec34e
- rebuild with DirectFB 1.7.0
- release 2 (by relup.sh)

* Fri Jun 28 2013 Jakub Bogusz <qboosh@pld-linux.org> d942041
- (re)added pl-update patch

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> a8718b5
- updated img,convert-old-bookmarks,gzip_fallback,segv patches
- removed outdated ac25x,libpng15 patches

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> 1c1c382
- up to 2.7

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> 2548a46
- up to 2.7

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> f54e437
- up to 2.7

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> fcf571d
- autoconf fixes

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 8937f86
- rebuild with DirectFB 1.6.x
- release 14 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> df2bc92
- new

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 5b1df69
- release 13 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4814060
- release 12

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e9d2753
- release 11

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 897bc7a
- release 10

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 38297f2
- rel 9; turn off svgalib bcond

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e715e3
- release 8

